# MIPS Processor: Unix ELF File Format

Assembler code

```
.text:5FFE29A8                 li      $s1, 1
.text:5FFE29AC
.text:5FFE29AC $L137:                                   # CODE XREF: read_logfile(char const *)+138↑j
.text:5FFE29AC                                          # read_logfile(char const *)+158↑j
.text:5FFE29AC                 beqz    $s1, $L134
.text:5FFE29B0                 nop
.text:5FFE29B4
.text:5FFE29B4 $Lb69:                                   # Alternative name is 'LM268'
.text:5FFE29B4                 addiu   $v0, $fp, 0x750+var_428
.text:5FFE29B8                 move    $a0, $v0         # char *
.text:5FFE29BC                 jal     get_time__FPCc   # get_time(char const *)
.text:5FFE29C0                 nop
.text:5FFE29C4                 sw      $v0, 0x750+var_110($fp)
.text:5FFE29C8                 lw      $v0, 0x750+var_110($fp)
.text:5FFE29CC                 nop
.text:5FFE29D0                 bnez    $v0, $L138
.text:5FFE29D4                 nop
.text:5FFE29D8
.text:5FFE29D8 LM269:
.text:5FFE29D8                 li      $v0, $LC37       # "Illegal time"
.text:5FFE29E0                 sw      $v0, 0x750+var_11C($fp)
.text:5FFE29E4
.text:5FFE29E4 LM270:
.text:5FFE29E4                 j       $L139
.text:5FFE29E8                 nop
.text:5FFE29EC  # ---------------------------------------------------------------------------
.text:5FFE29EC
.text:5FFE29EC $L138:                                   # CODE XREF: read_logfile(char const *)+188↑j
.text:5FFE29EC                 lw      $v0, from_time   # Alternative name is 'LM271'
.text:5FFE29F0                 lw      $v1, 0x750+var_110($fp)
.text:5FFE29F4                 nop
.text:5FFE29F8                 sltu    $v0, $v1
.text:5FFE29FC                 bnez    $v0, $L140
.text:5FFE2A00                 nop
.text:5FFE2A04                 j       LM259

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/mips-processor-unix-elf-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
